Page MenuHomePhabricator

Understanding first day: initial reporting
Closed, ResolvedPublic

Description

This task will track the initial reporting work @nettrom_WMF does around the resulting data. It will contain more details in the future.

Here are some notes:

  • EventLogging will not capture data from non-Javascript users and browsers. Therefore, it's possible that our data will be incomplete.

Some elements that should be included in an initial report:

  • What are the set of first actions taken by new users? What percent take each of those actions?
  • What percent of new users do any of these things in their first 24 hours?
    • Open an editor
    • Read a help or policy page
    • Read a talk page
    • Save an edit
    • Look at their own user or user talk page
    • ...

Event Timeline

EventLogging will not capture data from non-Javascript users and browsers. Therefore, it's possible that our data will be incomplete.

What's the percentage of those users and browser do we have?

EventLogging will not capture data from non-Javascript users and browsers. Therefore, it's possible that our data will be incomplete.

This is not true in general.

EventLogging can be used from the client (requires javascript) or from the server (independent of javascript). The PageViews schema is completely server-side. Other schemas we plan to re-use will have to be assessed individually.

That's great. Thanks for the clarification, @SBisson.

nettrom_WMF moved this task from Triage to Backlog on the Product-Analytics board.Oct 18 2018, 8:39 PM
MMiller_WMF updated the task description. (Show Details)Nov 30 2018, 11:10 PM
nettrom_WMF closed this task as Resolved.Jan 23 2019, 12:10 AM

We have done our initial analysis and published our initial report. That completes this work, so I'm closing this.